Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		decibel
#Epoch:		0
Version:	0.7.1
Release:	1
License:	GNU/GPLv2
URL:		http://decibel.kde.org
Group:		System/Libraries
Summary:	realtime communication framework
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: pkg-config
BuildRequires: qt4-devel
BuildRequires: tapioca-qt-devel
BuildRequires: telepathy-qt-devel
BuildRequires: zlib-devel

%description
Decibel is a realtime communications framework, meant to integrate services
like CTI (Computer Telephone Integration), VoIP (Voice over IP), text based
chat and instant messaging.

End users find in Decibel one central place to manage all realtime
communication settings and can easily configure and change responses to
communication requests.

By providing a simple, DBus-based API to the services like communication
account management, connection to contacts, etc. Decibel reduces the
complexity and effort of accessing realtime communication technologies in
applications. This allows for integration of realtime communication
technologies into  applications that are not focused on communication.

Decibel consists of the desktop neutral policy daemon and desktop dependent
components. These components interact with the user and his desktop
environment by providing GUIs for common tasks like eg. creating a new
communication account, storing passwords or contacting a friend. Using the
Telepathy specification (http://telepathy.freedesktop.org/) the Decibel
daemon manages Telepathy compliant connection managers (implementing the
various communication protocols) and connects them to Decibel components as
required by the users communication needs

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
mkdir build-i686
pushd build-i686
cmake ../. -DCMAKE_INSTALL_PREFIX=%{_prefix}
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build-i686
make install DESTDIR=$RPM_BUILD_ROOT
popd
# If this realy needed ?
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/decibel
%{_bindir}/decibel_logger
%{_bindir}/textchannelgui
%{_libdir}/Decibel
%{_libdir}/libDecibel.so.*
%{_libdir}/libdecibel_pluginhelper.so.*
%{_datadir}/Decibel/
%{_datadir}/dbus-1/services/org.kde.Decibel.Daemon.service
%{_datadir}/dbus-1/services/org.kde.Decibel.Log.service
%{_datadir}/dbus-1/services/org.kde.SimpleClient.service
%{_datadir}/dbus-1/services/org.kde.textchannelgui.service
%{_datadir}/doc/Decibel

%files devel
%defattr(-,root,root)
%{_includedir}/Decibel/
%{_pkgconfig}/Decibel.pc
%{_libdir}/libDecibel.so
%{_libdir}/libdecibel_pluginhelper.so


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.7.1-1
- initial CCux package release
